TIX-EXECPATCH(8)

NAME
tix-execpatch - apply executable permissions per the execpatch

SYNOPSIS
tix-execpatch [--check] [--directory=directory] execpatch

DESCRIPTION
tix-execpatch updates the executable permissions in the working directory per an execpatch produced by tix-execdiff(8). The execpatch is checked for validity and absolute paths and paths containing ‘..’ components are rejected. The executable permissions are updated per the umask.

The options are as follows:

--check
    Check only the execpatch is valid and don't update any permissions.

--directory=directory
    Apply permission changes inside directory instead of the working directory.

EXIT STATUS
tix-execpatch will exit 0 on success and non-zero otherwise.

SEE ALSO
diff(1), patch(1), port(5), tix-execdiff(8), tix-rmdiff(8), tix-rmpatch(8)

HISTORY
tix-execpatch originally appeared in Sortix 0.8.